// NikolausSpiegel.java                         MM 2004

import java.applet.*;                         // Applet
import java.awt.*;                          // Graphics

/**
 * Applet zeichnet das "Haus vom Nikolaus"
 * und dessen Spiegelbild.
 */
public class NikolausSpiegel extends Applet
{
/**
 * Anzahl der Koordinaten, die man durchlaufen muss.
 */
  private int koordAnzahl = 16;

/**
 * Reihenfolge der Koordinaten, die durchlaufen werden.
 */
  private Koordinate[] haus
  = new Koordinate[ koordAnzahl];

/**
 * Zeichenfarbe.
 */
  private Color farbe = Color.blue;

/**
 * Anzahl der bereits gesetzten Koordinaten.
 */
  private int anzahl = 0;

/**
 * Zeichnen der bereits gesetzten Koordinaten.
 */
  public void paint( Graphics g)
  {
    g.drawString( "A", 25, 275);
    g.drawString( "B", 207, 275);
    g.drawString( "C", 25, 135);
    g.drawString( "D", 207, 135);
    g.drawString( "E", 117, 50);
    g.drawString( "F", 25, 415);
    g.drawString( "G", 207, 415);
    g.drawString( "H", 117, 500);

    for( int i = 0; i < anzahl; i++)
    {
      Strecke line
      = new Strecke( haus[ i], haus[ i + 1], farbe);

      line.darstellen( g);
    }
  }

/**
 * Setzen einer Koordinate.
 */
  public void setKoordinate( int nr)
  {
    if( anzahl < koordAnzahl) 
    {
      switch( nr)
      {
        case 0: //A
          haus[ anzahl] = new Koordinate(  40, 270);
          break;
        case 1: //B
          haus[ anzahl] = new Koordinate( 200, 270);
          break;
        case 2: //C
          haus[ anzahl] = new Koordinate(  40, 130);
          break;
        case 3: //D
          haus[ anzahl] = new Koordinate( 200, 130);
          break;
        case 4: //E
          haus[ anzahl] = new Koordinate( 120,  60);
          break;
        case 5: //F
          haus[ anzahl] = new Koordinate(  40, 410);
          break;
        case 6: //G
          haus[ anzahl] = new Koordinate( 200, 410);
          break;
        case 7: //H
          haus[ anzahl] = new Koordinate( 120, 490);
      }
      anzahl++;
      repaint( 100L);
    }
  }
}
